#!/bin/sh

# Populate getty/ (replacement for inittab)

. /etc/sysconfig/minit.tab || exit 1

for dir in `find -type d ! -name .`
do
	rm -f $dir/{depends,params,respawn,run} &&
	rmdir $dir
done

if [ "$1" = "clean" ]; then exit 0; fi

cat >depends <<EOF
console
clock
EOF

for vc in $VCS
do
	echo "getty/$vc" >>depends &&
	mkdir -p $vc &&
	cd $vc &&
	touch respawn &&
	ln -s $GETTY run &&
	if echo $GETTY|grep -q fgetty
	then
		echo -n "/dev/" >params
	fi
	echo "vc/$vc" >>params &&
	if echo $GETTY|grep -q agetty
	then
		echo "9600" >>params
	elif echo $GETTY|grep -q fgetty
	then
		echo "--noclear" >>params
	fi
	cd ..
done
